Skip to content

Add Single Traveler

Request

Send the Add Traveler request to add a single traveler to the reservation workbench. Traveler information can include traveler name and contact details, add traveler-specific remarks including certain SSRs and travel documents such as a passport.
Add each traveler to the same workbench with separate POST requests.
Alternatively, use air/book/traveler/reservationworkbench/{workbenchID}/travelers/list when adding multiple travelers.

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier you wish to add the Traveler information to

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired

Add Traveler request payload.

@typestringrequired

Discriminator classes TravelerID or Traveler

Value:"Traveler"
Example:"Traveler"
Discriminator
idstring

Send value of travelerRefId_1 for the first traveler, then increment for each additional traveler (e.g., travelerRefId_2).
Traveler/id is only mandatory when referenced elsewhere in the request, such as in SpecialService and PrimaryContact (TravelerIdentifier/Identifier/value).

TravelerRefstring
Identifierobject(Identifier)

A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

birthDatestring, (date)

Date of birth in YYYY-MM-DD format.
The TripServices APIs require this object only for infant and child PTC types (e.g., INF, INS, CHD, UNN).
When sending minimum secure flight information, which is required by some carriers, this object is required for all PTCs.

Example:"2021-06-05"
genderstring(GenderEnum)

Gender Type Male, Female etc.
When sending minimum secure flight information in the Traveler object, which is required by some carriers, this object is required for all PTCs.
This field is not used by Hotel APIs and will be ignored.

Enum:"Male""Female""Unknown""Undisclosed"
Example:"Female"
PersonNameobject(PersonName)required
AddressArray of objects, <= 10 items(Address)
TelephoneArray of objects, <= 10 items(Telephone)
EmailArray of objects, <= 10 items(Email)

For a reservation Retrieve response, all email addresses are associated with the first traveler on the reservation for GDS. NDC supports contact information for each traveler on the reservation.

passengerTypeCodestring, [ 3 .. 5 ] characters([a-zA-Z0-9]{3,5})

Passenger type code (PTC) for this traveler.
Required for all PTCs other than ADT (adult); if not sent defaults to ADT.
Some of the common PTCs supported include ADT, INF, INS, CHD, UNN. Private fare PTCs, including INN, JNN, VNN, ITF, JNF, and VFF, may also be supported, subject to airline support.

Example:"CHD"
nationalitystring[a-zA-Z]{2}

Nationality on country code ISO

Example:"AL"
ageinteger, (int32)

The age of the traveller at the time of travel

Example:13
CustomerLoyaltyArray of objects, <= 10 items(CustomerLoyalty)
AlternateContactArray of objects, <= 20 items(AlternateContact)
TravelDocumentArray of objects, <= 10 items(TravelDocument)
Commentsobject(Comments)

Comments object to relay free text information
In ProductAncillary.Ancillary this is used to expose when additional comments are required to book the ancillary.
In BuildAncillaryOffersFromCatalogOfferings this is used to pass additional ancillary text required to book the ancillary.
In Traveler this is used to send custom freeform traveler name remarks, such as a unique identifier for a given traveler. Not supported for addition/deletion in Traveler Modify.

RailDiscountCardArray of objects, <= 50 items(RailDiscountCard)
accompaniedByInfantIndboolean
Example:true
curl -i -X POST \
  https://api.pp.travelport.net/11/air/book/traveler/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/travelers \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "Traveler",
    "birthDate": "2000-01-01",
    "id": "trav_1",
    "passengerTypeCode": "INF",
    "PersonName": {
      "@type": "PersonNameDetail",
      "Given": "TestFirstInf",
      "Middle": "",
      "Surname": "TestLastInf",
      "Suffix": "Jr"
    },
    "Telephone": [
      {
        "@type": "Telephone",
        "countryAccessCode": "1",
        "areaCityCode": "305",
        "phoneNumber": "868767809",
        "id": "telephone_1",
        "role": "Home"
      }
    ],
    "TravelDocument": [
      {
        "@type": "TravelDocument",
        "docNumber": "H294F6",
        "docType": "Passport",
        "expireDate": "2030-12-29",
        "issueCountry": "US",
        "birthDate": "2000-01-01",
        "Nationality": "US",
        "Gender": "Female",
        "PersonName": {
          "@type": "PersonName",
          "Given": "TestFirstInf",
          "Surname": "TestLastInf"
        }
      }
    ]
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
TravelerResponseobject(TravelerResponse)

The response of a Traveler endpoint request; returns the system-generated traveler identifier. This identifier must be sent in any subsequent traveler-specific requests, such as ticketing and seat assignment.

Response
{ "TravelerResponse": { "Traveler": { "@type": "TravelerIdentifier", "id": "string", "TravelerRef": "string", "Identifier": { … } }, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }